\documentclass[french]{beamer}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
%\usepackage{lmodern}
\usepackage[sfmathbb]{kpfonts}
%\usepackage{ntheorem}
\usepackage{amsmath}
\usepackage{amsfonts}

\pdfobjcompresslevel 3

\usepackage{pgf}
\usepackage{tikz}
\usepackage{tkz-euclide}

\usepackage{babel}
%\theoremstyle{break}
%\theorembodyfont{\normalfont}
%\renewtheorem{exercice}{Exercice}

\usetheme{Frankfurt}

\title{Probabilités 2}
\author{\textsc{Jumel}}
\date{février 2014}

\newcommand{\ensemble}[1]{\mathbb{#1}}
\newcommand{\R}{\ensemble{R}}

\makeatletter

\pgfmathdeclarefunction{erf}{1}{%
  \begingroup
  \pgfmathifthenelse{#1 > 0}{1}{-1}
  \edef\sign{\pgfmathresult}%
  \pgfmathparse{abs(#1)}
  \edef\x{\pgfmathresult}%
  \pgfmathparse{1/(1+0.3275911*\x)}
  \edef\t{\pgfmathresult}%
  \pgfmathparse{%
  1 - (((((1.061405429*\t -1.453152027)*\t) + 1.421413741)*\t
  -0.284496736)*\t + 0.254829592)*\t*exp(-(\x*\x))}
  \edef\y{\pgfmathresult}%
  \pgfmathparse{(\sign)*\y}
  \pgfmath@smuggleone\pgfmathresult%
  \endgroup
}
\pgfmathdeclarefunction{normcr}{1}{%
  \begingroup
  \pgfmathparse{(erf((#1)/sqrt(2))+1)/2}
  \pgfmath@smuggleone\pgfmathresult%
  \endgroup
}

\makeatother

\begin{document}

\begin{frame}
  \titlepage
\end{frame}

\mathversion{rm}

\begin{frame}
  \begin{center}
    \begin{tikzpicture}
      \draw[dotted,help lines,step=.5] (-2,-1) grid (7,6);
      \draw[dotted,help lines,line width=.6pt,step=1] (-2,-1) grid (7,6);
      \foreach \x in {-2,-1,1,2,3,4,5,6,7}
      \node[anchor=north] at (\x,-0.05) {\x};
      \foreach \y/\ly in {1/\frac14,2/\frac12,3/\frac34,4/1} {
        \draw (-0.05,\y) -- (0.05,\y) ;
        \node[anchor=north west] at (-0.05,\y) {$\ly$};
      }
      \node[anchor=north west] (-0.05,-0.15) { 0 } ;
      \draw[thick,->] (-2,0) -- (7,0) ;
      \draw[thick,->] (0,-1) -- (0,6) ;
      \draw[thick,red] plot[smooth,domain=-2:7]
      (\x,{4*exp(-((\x-2.5)*(\x-2.5))/2)}) ;
      \draw[thick,blue] plot[smooth,domain=-2:7] (\x,{4*normcr(\x-2.5)}) ;
      \clip (-2.1,-1) rectangle (7,6) ;
    \end{tikzpicture}
  \end{center}
\end{frame}
\end{document}
